Bulk Transaction Detail
PUSH TO POS - Bulk Transaction Detail
Section titled “PUSH TO POS - Bulk Transaction Detail”This API to get all the transaction details done by the merchant through POS . We must pass merchant id, terminal id and unique id in request then we will get the data in terms of transaction id, amount, mobile no, transaction type, etc in the response.
https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail-bulkHeader
Section titled “Header”| Field | Description |
|---|---|
| content-type | application/x-www-form-urlencoded (required) |
Parameter
Section titled “Parameter”| Field | Type | Description |
|---|---|---|
| mercid | String | Merchant Id (length 1-12, required) |
| terminalid | String | It is device specific.One device have only one Terminal ID ( required) |
| uniqueid | String | Unique ID is a unique identifier and have unique value (length 4-10,required) |
Request-Example:
Section titled “Request-Example:”curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail-bulk' \ --header 'content-type: application/x-www-form-urlencoded' \ --data-urlencode 'terminalid=00008582' \--data-urlencode 'mercid=71234' \ --data-urlencode 'uniqueid=000648'Success 200
Section titled “Success 200”| Field | Type | Description |
|---|---|---|
| status | Number | Status Code 200 - Success 502 - Failed |
| MERCHANTID | Number | Merchant id |
| UNIQUEID | Number | Unique id |
| DATA | Array | Transaction data |
Success-Response:
Section titled “Success-Response:”HTTP/1.1 200 OK{ "status": 200, "MERCHANTID": 71234, "UNIQUEID": 000648, "DATA":[ "TRANSACTIONID": 001553, "TABLENO": , "AMOUNT": 1.00, "MOBILENO":9XXXXXX157, "TXNTYPE": 01, "EDITAMOUNT": 1 ]}Error-Response:
Section titled “Error-Response:”{ "status": 502, "message": []}